import sys, java
global AdminControl

def startApplication(appManager):
    print 'Starting the Application: ' + appName 
    print '--------------'
    print 'AppManager: ' + appManager
    print '--------------'
    AdminControl.invoke(appManager, 'startApplication', appName)
#endDef 

serverName = sys.argv[0]
appName = sys.argv[1]

try:
  runningServer = AdminControl.queryNames('type=Server,*')
  if (len(runningServer) > 0 and AdminControl.getAttribute(runningServer, 'state') == 'STARTED'):
    appManager = AdminControl.queryNames('type=ApplicationManager,*')
    if (len(appManager) > 0):
      print 'INFO: the server is running'
      startApplication(appManager)
      if (len(AdminControl.completeObjectName('type=Application,name=' + appName + ',*')) > 0):
        print 'INFO: the application started successfully'
      else:
        print 'ERROR: the application did not start'
	
except:
  print 'ERROR: Failed to determine if the server is running'
  sys.exit(0)
#endTry 




